Resource Center/Resource Pool/Volume Operations
DELETEVolume OperationsSince 4.5.0SynchronousAuth Required
DetachDataVolumeFromHost
DetachDataVolumeFromHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
volumeUuidStringRequiredThe volume UUID.
Body Fields
hostUuidStringOptional. The host UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/volumes/{volumeUuid}/hosts
/zstack/v1/volumes/{volumeUuid}/hosts
Request Example
curl -X DELETE 'http://{host}/zstack/v1/volumes/{volumeUuid}/hosts' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"hostUuid":"<hostUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
